%define	upstream_name Unix-Syslog
%define upstream_version 1.1

Name:		perl-%{upstream_name}
Summary:	Perl interface to the UNIX system logger
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel

%{?perl_default_filter}

%description
This module provides access to the system logger available on most
UNIX systems via perl XSUBs (perl's C interface).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.100.0-15.mga10
+ Revision: 2010527
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.100.0-14.mga9
+ Revision: 1862600
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.100.0-13.mga9
+ Revision: 1796183
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.100.0-12.mga9
+ Revision: 1727216
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.100.0-11.mga8
+ Revision: 1595297
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.100.0-10.mga8
+ Revision: 1530152
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.100.0-9.mga8
+ Revision: 1433938
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.100.0-8.mga7
+ Revision: 1293963
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.100.0-7.mga7
+ Revision: 1249313
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.100.0-6.mga7
+ Revision: 1167230
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.100.0-5.mga7
+ Revision: 1149429
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.100.0-4.mga7
+ Revision: 1126495
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-3.mga6
+ Revision: 1035572
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.100.0-2.mga6
+ Revision: 958193
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.1-16.mga6
+ Revision: 845475
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.1-15.mga6
+ Revision: 841301
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.1-14.mga5
+ Revision: 743373
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.1-13.mga5
+ Revision: 732597
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.1-12.mga5
+ Revision: 686806
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.1-11.mga5
+ Revision: 631872
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.1-10.mga4
+ Revision: 524567
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.1-9.mga4
+ Revision: 431003
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 374625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1-7.mga3
+ Revision: 251293
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.1-6.mga2
+ Revision: 105100
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.1-5.mga1
+ Revision: 32776
- mageia rebuild
- imported package perl-Unix-Syslog

